List clients
GET/api/clients
Required permissions:
- crm.view: allows view all resources.
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: [externalIdentifiers]
Include one or more relations in the response, separated by commas.
When available, use dot-notation to retrieve nested relations.
You can request any level of a nested relation, (e.g. relation or relation.nested or relation.nested.deeplyNested).
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of clients
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
Possible values: <= 50 characters
Possible values: <= 80 characters
Possible values: <= 250 characters
Possible values: <= 250 characters
Possible values: <= 80 characters
Possible values: <= 80 characters
Possible values: <= 80 characters
Possible values: <= 80 characters
Possible values: <= 80 characters
Possible values: >= 1
Possible values: <= 320 characters
Possible values: <= 320 characters
Possible values: <= 255 characters
Possible values: <= 250 characters
Declaration of intent date
Possible values: >= 1
Possible values: >= 1
Possible values: >= 1
Possible values: >= 1
external_identifiers
object[]
The list of external identifiers associated with this client
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The identifier of the resource on the external system
The type/source of the external identifier
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-05-15T17:08:59.529Z",
"updated_at": "2026-05-15T17:08:59.529Z",
"corporate_name": "First client",
"acronym": "First client acronym",
"email": "example@example.com",
"notes": "Some notes",
"website": "https://example.com",
"linkedin": "https://linkedin.com/in/example",
"description": "A brief description",
"street": "123 Main St",
"zip_code": "12345",
"town": "Townsville",
"country": "United States",
"vat": "123456789",
"payment_condition": "Payment terms",
"group_company": 1,
"sdi_code": "SDI12345",
"pec": "pec@example.com",
"administration_email": "admin@example.com",
"company_registration_number": "1234567890",
"legal_name": "Legal Name",
"intent_code": "Intent Code",
"intent_date": "2024-01-01",
"phone": "123-456-7890",
"tax_reference": "Tax Reference",
"group_id": 1,
"bank_account_id": 1,
"vat_rate_id": 1,
"payment_term_id": 1,
"external_identifiers": [
{
"id": 1,
"created_at": "2026-05-15T17:08:59.529Z",
"updated_at": "2026-05-15T17:08:59.529Z",
"external_id": "SF-0001",
"type": "string"
}
],
"deleted_at": "2026-05-15T17:08:59.529Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}